<?php



$errors = array();
$info = array();
$info_success = array();



//check the id passed
if(isset($_POST['subjects']))
{
	$id =  $_POST['subjects'];
}





//validate the title
if(!empty($_POST['title']))
{
   $title = mysqli_real_escape_string($dbc, $_POST['title']);
   
   $_SESSION['title'] = $title;
 
}
else
{
   $errors[] = '<p> * </p>';
}


//validate the code
if(!empty($_POST['code']))
{
   $code = mysqli_real_escape_string($dbc, $_POST['code']);
   
   $_SESSION['code'] = $code;
 
}
else
{
   $errors[] = '<p> * </p>';
}


//validate the unit
if(!empty($_POST['unit']))
{
   $unit = mysqli_real_escape_string($dbc, $_POST['unit']);
   
   $_SESSION['unit'] = $unit;
 
}
else
{
   $errors[] = '<p> * </p>';
}


  //validate the department
  if($_POST['department'] == 0)
  {
	   $errors[] = '<p> * </p>';
	 
   
  }
  else
  {
	  $department= mysqli_real_escape_string($dbc, $_POST['department']);
	  $_SESSION['department'] = $department;
	
  }
	
	
	
//validate the course
  if($_POST['course'] == 0)
  {
	   $errors[] = '<p> * </p>';
	 
   
  }
  else
  {
	  $course= mysqli_real_escape_string($dbc, $_POST['course']);
	  $_SESSION['course'] = $course;
	
  }	
  
  
  
  //validate the level
  if($_POST['level'] == 0)
  {
	   $errors[] = '<p> * </p>';
	 
   
  }
  else
  {
	  $level = mysqli_real_escape_string($dbc, $_POST['level']);
	  $_SESSION['level'] = $level;
	
  }	  



  //validate the semester
  if($_POST['semester'] == 0)
  {
	   $errors[] = '<p> * </p>';
	 
   
  }
  else
  {
	  $semester = mysqli_real_escape_string($dbc, $_POST['semester']);
	  $_SESSION['semester'] = $semester;
	
  }	

//collect the description
$description = (!empty($_POST['description']))? (mysqli_real_escape_string($dbc,$_POST['description'])): 
 NULL;
$_SESSION['description'] = $description;

//collect the status
$status = (!empty($_POST['status']))? (mysqli_real_escape_string($dbc,$_POST['status'])): 
 NULL;
$_SESSION['status'] = $status;

//finaly get security id
$user_id = get_user_id();


$security_id = get_security_id($user_id);



 
 
 
if(empty($errors))
{
	//destroy session if there is no error
	
	unset($_SESSION['title']);
	unset($_SESSION['unit']);
	unset($_SESSION['course']);
	unset($_SESSION['description']);
	unset($_SESSION['code']);
	unset($_SESSION['department']);
	unset($_SESSION['level']);
	unset($_SESSION['semester']);
	unset($_SESSION['status']);
	
	
	 //check if the query is for adding den add
	
	
		$q = "UPDATE `subjects` SET `title`='$title',`code`='$code', `department_id`='$department', `course_id`='$course', 
			 `unit`='$unit', `level`='$level', `semester`='$semester',`status`='$status',
			`department_id`='$department',`description`='$description',`date_modified`=NOW(), 
			`modified_by`='$security_id' 
			WHERE id = '$id'";
										
							
		$r = mysqli_query($dbc,$q);
	
	if($r)
	{
		$info_success['success'] = 'Updated Successfully!';
		header("Location: gateway.php?act=view_subjects&is=".urlencode($info_success['success']).""); //is - info success
		
	}
	else
	{
		$errors['error'] =  'Subject not updated due to a system error. We apologize for any inconvenience.';
										
		header("Location: gateway.php?act=view_subjects&error=".urlencode($errors['error'])."");
	}
	
}
else
{//stay back in departments


	$errors['error'] =  'Subject not updated, Please re-select and Fill the form appropriately, take note of <span class="ast">*</span>.';
										
	header("Location: gateway.php?act=view_subjects&error=".urlencode($errors['error'])."");

}



?>